﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Core.Primitives;

namespace UltraColumnChartLables
{
    public partial class Form1 : Form
    {
        private List<Text> TextList = new List<Text>();
        public Form1()
        {
            InitializeComponent();


            DataTable dt = new DataTable();
            dt.Columns.Add("Item", typeof(string));
            dt.Columns.Add("Values", typeof(decimal));

            dt.Rows.Add("Category 1", 25);
            dt.Rows.Add("Category 2", 20);
            dt.Rows.Add("Category 3", 30);
            dt.Rows.Add("Category 4", 25);
            dt.Rows.Add("Category 5", 15);

            ultraChart1.DataSource = dt;

            ultraChart1.Tooltips.Display = Infragistics.UltraChart.Shared.Styles.TooltipDisplay.MouseMove;

            // Option 2
            //ultraChart1.Axis.Y2.Visible = true;
            //ultraChart1.Axis.X.RangeType = Infragistics.UltraChart.Shared.Styles.AxisRangeType.Custom;
            //ultraChart1.Axis.X.RangeMin = 40;
            //ultraChart1.Axis.X.RangeMax = 0;
        }

        private void ultraChart1_FillSceneGraph(object sender, Infragistics.UltraChart.Shared.Events.FillSceneGraphEventArgs e)
        {
            // Option 3 for custom labels
            TextList.Clear();
            foreach (Primitive pr in e.SceneGraph)
            {

                if (pr.GetType() == typeof(Text) && pr.Row != -1 && pr.Column != -1)
                {
                    ((Text)pr).Visible = false;
                    Text textLable = new Text(new Point(((Text)pr).bounds.X + 100, ((Text)pr).bounds.Y + 5), "My custom text + " + ((Text)pr).GetTextString());
                    //Text textLable = new Text(new Point(((Text)pr).bounds.X + 300, ((Text)pr).bounds.Y + 5), "My custom text + " + ((Text)pr).GetTextString());
                    TextList.Add(textLable);
                }
            }
            foreach (var item in TextList.Distinct())
                e.SceneGraph.Add(item);
        }
    }
}
